;- Check for updates: https://forum.rainmeter.net/viewtopic.php?t=41770
; Normally you don't need to modify anything here.

;This file is in charge of every color that belongs to backgrounds and elements
;They are automatically created by the raincolors.lua script

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	   	 COLOR MEASURES       ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
[C]
;Raincolors.lua script measure.
Disabled=1
Measure=Script
ScriptFile=#@#Scripts\raincolors.lua
DynamicVariables=1

[Modes]
;This measure sets color variables related to a Mode when its enabled and updated by the Modes swtich.
Disabled=1
Measure=calc
formula=[#ModeN]
ifCondition= [#ModeN] = 1
ifTrueAction=[!SetVariable Mode Dark][!SetVariable Color [#DarkModeColor]][!EnableMeasure ModeWriter][!UpdateMeasure ModeWriter][!DisableMeasure #currentsection#]
ifCondition2=[#ModeN] = 2
ifTrueAction2=[!SetVariable Mode Light][!SetVariable Color [#LightModeColor]][!EnableMeasure ModeWriter][!UpdateMeasure ModeWriter][!DisableMeasure #currentsection#]
DynamicVariables=1
UpdateDivider=-1

[ModeWriter]
;This measure sets and then writes all color variables.
Disabled=1
Measure=String
OnUpdateAction=[!SetVariable LightColor [&C:set('[#Color]','r','*','*','[#Lightness]')]][!SetVariable ShadowColor [&C:set('[#Color]','r','*','-100','-[#Darkness]')]]	[!SetVariable GaugeColor [#Color]][!SetVariable GaugeShadows [&C:set('[#GaugeColor]','r','*','-100','-100')]][!SetVariable GaugeLights [&C:set('[#GaugeColor]','r','*','*',50)]]	[!SetVariable BackgroundColor [#Color]][!SetVariable BackgroundStroke [&C:adjustContrast('[#BackgroundColor]','[#BackgroundColor]',11)]][!SetVariable ForegroundColor [&C:adjustContrast('[#Color]','[#Color]',1.05)]][!SetVariable ArcStroke [&C:adjustContrast('[#ForegroundColor]','[#ForegroundColor]',10)]][!SetVariable ForegroundStroke [&C:adjustContrast('[#ForegroundColor]','[#ForegroundColor]',2.25)]][!SetVariable TitleColor [&C:adjustContrast('[#BackgroundColor]','[&C:setSat('[#BackgroundColor]',0)]',18.5)]][!SetVariable LittleTitleColor [&C:adjustContrast('[#BackgroundColor]','[&C:setSat('[#BackgroundColor]',0)]',14)]][!SetVariable BodyTextColor [&C:adjustContrast('[#BackgroundColor]','[&C:setSat('[#BackgroundColor]',0)]',16.5)]][!SetVariable HighlightedTextColor [&C:shiftLight('[#BodyTextColor]',35)]][!SetVariable LittleBodyTextColor [&C:adjustContrast('[#BackgroundColor]','[&C:setSat('[#BackgroundColor]',0)]',10)]][!SetVariable HintsColor [&C:adjustContrast('[#BackgroundColor]','[&C:setSat('[#BackgroundColor]',0)]',4.5)]][!SetVariable BorderColor [&C:adjustContrast('[#BackgroundColor]','[&C:setSat('[#BackgroundColor]',0)]',1.8)]]	[!SetVariable SuccessColor [&C:setHue('[&C:setSat('[&C:adjustContrast('[#Color]','[#Color]',7)]',69)]',117)]][!SetVariable WarningColor [&C:setHue('[&C:setSat('[&C:adjustContrast('[#Color]','[#Color]',6)]',100)]',43)]][!SetVariable ErrorColor [&C:setHue('[&C:setSat('[&C:adjustContrast('[#Color]','[#Color]',6)]',86)]',6)]][!SetVariable AccentColor [&C:complementary('[&C:set('[&C:adjustContrast('[#Color]','[#Color]',3.8)]','p','*',200,'*')]')]][!SetVariable EnabledColor [&C:adjustContrast('[#BackgroundColor]','[&C:setSat('[#BackgroundColor]',0)]',15)]][!SetVariable DisabledColor [&C:adjustContrast('[#BackgroundColor]','[&C:setSat('[#BackgroundColor]',0)]',2)]]	[!SetVariable ButtonColor [&C:adjustContrast('[#BackgroundColor]','[#BackgroundColor]',1.2)]][!SetVariable ButtonTextColor [&C:adjustContrast('[#ButtonColor]','[&C:setSat('[#ButtonColor]',0)]',7)]][!SetVariable ButtonOverColor [&C:adjustContrast('[#AccentColor]','[#AccentColor]',1)]][!SetVariable ButtonOverTextColor [&C:adjustContrast('[#ButtonOverColor]','[&C:setSat('[#ButtonOverColor]',0)]',7)]][!SetVariable ButtonPressedColor [&C:adjustContrast('[#ButtonColor]','[#ButtonColor]',4)]][!SetVariable ButtonPressedTextColor [&C:adjustContrast('[#ButtonPressedColor]','[&C:setSat('[#ButtonPressedColor]',0)]',7)]]	[!SetVariable ToggleButtonColor [&C:adjustContrast('[#BackgroundColor]','[#BackgroundColor]',1.2)]][!SetVariable ToggleButtonPressedColor [&C:adjustContrast('[#ToggleButtonColor]','[#ToggleButtonColor]',2.8)]][!SetVariable ToggleButtonStroke [&C:adjustContrast('[#BackgroundColor]','[#BackgroundColor]',6)]]	[!SetVariable RoundButtonColor [&C:adjustContrast('[#BackgroundColor]','[#BackgroundColor]',1.2)]][!SetVariable RoundButtonOverColor [&C:adjustContrast('[#BackgroundColor]','[#AccentColor]',2.4)]][!SetVariable RoundButtonPressedColor [&C:adjustContrast('[#RoundButtonOverColor]','[#RoundButtonOverColor]',2.4)]][!SetVariable RoundButtonStroke [&C:adjustContrast('[#BackgroundColor]','[#BackgroundColor]',6)]]	[!WriteKeyValue Variables Mode [#Mode] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables Color [#Color] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables GaugeColor [#GaugeColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables GaugeShadows [#GaugeShadows] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables GaugeLights [#GaugeLights] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables BackgroundColor [#BackgroundColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables BackgroundStroke [#BackgroundStroke] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ForegroundColor [#ForegroundColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ArcStroke [#ArcStroke] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ForegroundStroke [#ForegroundStroke] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables TitleColor [#TitleColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables LittleTitleColor [#LittleTitleColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables BodyTextColor [#BodyTextColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables HighlightedTextColor [#HighlightedTextColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables LittleBodyTextColor [#LittleBodyTextColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables HintsColor [#HintsColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables BorderColor [#BorderColor] "#@#Theme\Themes\Default.inc"]		[!WriteKeyValue variables SuccessColor [#SuccessColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables WarningColor [#WarningColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ErrorColor [#ErrorColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables AccentColor [#AccentColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables EnabledColor [#EnabledColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables DisabledColor [#DisabledColor] "#@#Theme\Themes\Default.inc"]	[!WriteKeyValue variables LightColor [#LightColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ShadowColor [#ShadowColor] "#@#Theme\Themes\Default.inc"]	[!WriteKeyValue variables ButtonColor [#ButtonColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ButtonTextColor [#ButtonTextColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ButtonOverColor [#ButtonOverColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ButtonOverTextColor [#ButtonOverTextColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ButtonPressedColor [#ButtonPressedColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ButtonPressedTextColor [#ButtonPressedTextColor] "#@#Theme\Themes\Default.inc"]		[!WriteKeyValue variables ToggleButtonColor [#ToggleButtonColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ToggleButtonPressedColor [#ToggleButtonPressedColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables ToggleButtonStroke [#ToggleButtonStroke] "#@#Theme\Themes\Default.inc"]		[!WriteKeyValue variables RoundButtonColor [#RoundButtonColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables RoundButtonOverColor [#RoundButtonOverColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables RoundButtonPressedColor [#RoundButtonPressedColor] "#@#Theme\Themes\Default.inc"][!WriteKeyValue variables RoundButtonStroke [#RoundButtonStroke] "#@#Theme\Themes\Default.inc"][!DisableMeasure #currentsection#]
DynamicVariables=1
UpdateDivider=-1

[Variables]
BaseTheme=Default
