;Skin Shared Color Variables
;- Check for updates: https://forum.rainmeter.net/viewtopic.php?t=41770
; Normally you don't need to modify anything here.

;This file is in charge of every color that belongs to backgrounds and elements
;They are automatically created by the raincolors.lua script.

[Variables]
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	   FORMAT VARIABLES       ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Fonts
;Classic and Modern
FontFace=HelveticaNeueLT Std ExtBlk Cn
;Digital
FontFace2=DS-DIGITAL
;Tough
FontFace3=METHANERSE Free Trial

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	    MODE VARIABLES       ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;All these variables are automatically written. Do not change them manually.
;Current Mode name
Mode=Dark
;Current Mode number
ModeN=1

;Base Colors.
DarkModeColor=9,9,9
LightModeColor=246,246,246

;How light and dark colors are
Lightness=100
Darkness=100

;Current Mode Color
Color=9,9,9

;Gauges Font Variables
;Gauge Not Dynamic Font Color
GaugeFontColorSaturation=0
GaugeFontColorContrast=18.5
GaugeFontColor=[&*C:adjustContrast('[#*GaugeColor*]','[&*C:setSat('[#*GaugeColor*]',[#*GaugeFontColorSaturation*])*]',[#*GaugeFontColorContrast*])*]

;Gauge Dynamic Font Color
GaugeDynamicFontColorContrast=1.6
GaugeDynamicFontColor=[&*C:adjustContrast('[#*GaugeColor*]','[#*CurrentColor*]',[#*GaugeDynamicFontColorContrast*])*]

;Buttons
AccentColorContrast=2
ButtonAccentColor=[&*C:set('[#*GaugeLights*]','a','*','*',[&*C:l('[&*C:adjustContrast('[#*BackgroundColor*]','[#*GaugeLights*]',[#*AccentColorContrast*])*])*])*]

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	     THEME COLORS	      ;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Light
LightColor=255,255,255
ShadowColor=0,0,0

;Body.
BackgroundColor=9,9,9
BackgroundStroke=193,193,193
ForegroundColor=17,17,17
ForegroundStroke=78,78,78
ArcStroke=190,190,190

;Gauges
GaugeColor=9,9,9
GaugeShadows=0,0,0
GaugeLights=137,137,137
ListOpacity=255

;Text
TitleColor=249,249,249
BodyTextColor=236,236,236
HighlightedTextColor=255,255,255
LittleTitleColor=218,218,218
LittleBodyTextColor=185,185,185
HintsColor=121,121,121
KeyColor=200,200,200
BorderColor=60,60,60

;Semantics
SuccessColor=91,224,84
WarningColor=255,191,29
ErrorColor=239,64,45
AccentColor=111,111,111
EnabledColor=226,226,226
DisabledColor=68,68,68

;Generic Button
ButtonColor=32,32,32
ButtonTextColor=170,170,170
ButtonOverColor=111,111,111
ButtonOverTextColor=255,255,255
ButtonPressedColor=126,126,126
ButtonPressedTextColor=0,0,0

;Toggle Button
ToggleButtonColor=32,32,32
ToggleButtonPressedColor=103,103,103
ToggleButtonStroke=142,142,142

;Round Button
RoundButtonColor=32,32,32
RoundButtonOverColor=111,111,111
RoundButtonPressedColor=180,180,180
RoundButtonStroke=142,142,142
